.hidden-content{
    opacity: 0;
    transition: all 1s ease-in-out;
}
.show-button:hover +.hidden-content{
opacity: 1;
transition: all 1s ease-in-out;
}
.show-button{
    width: 300px;
    background-color: red;
}